% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/helpers_elements.R
\name{bezier_pts}
\alias{bezier_pts}
\title{Generate Bézier curve points}
\usage{
bezier_pts(p0, p3, c1, c2, n = 100)
}
\arguments{
\item{p0}{Numeric vector (length 2), start point coordinates (x, y)}

\item{p3}{Numeric vector (length 2), end point coordinates (x, y)}

\item{c1}{Numeric vector (length 2), first control point coordinates (x, y)}

\item{c2}{Numeric vector (length 2), second control point coordinates (x, y)}

\item{n}{Integer, number of curve points (controls smoothness), default 100}
}
\value{
data.frame containing columns x, y (coordinates of points on the Bézier curve)
}
\description{
Generates points on a Bézier curve based on start point, end point, and control points (for smooth ribbons)
}
\keyword{internal}
