% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/helpers_elements.R
\name{breakPointsFunc}
\alias{breakPointsFunc}
\title{Generate major axis tick breakpoints}
\usage{
breakPointsFunc(max_value, n = 5, tol = 0.5)
}
\arguments{
\item{max_value}{Numeric, sequence length (maximum value)}

\item{n}{Integer, target number of ticks, default 5}

\item{tol}{Numeric (0-1), tolerance threshold for end tick length (proportion of the median length of other ticks), default 0.5}
}
\value{
Numeric vector, major tick positions (including 0 and max_value)
}
\description{
Generates uniform and visually appealing major tick positions based on sequence length and target tick count (avoids excessively short end ticks)
}
\keyword{internal}
