% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/helpers_params.R
\name{process_sequence_param}
\alias{process_sequence_param}
\title{Process sequence-related parameters}
\usage{
process_sequence_param(
  param,
  seqs,
  param_name,
  default_value = NULL,
  allow_null = FALSE
)
}
\arguments{
\item{param}{Input parameter (can be NULL, single value, vector, named vector)}

\item{seqs}{Character vector, list of sequence IDs}

\item{param_name}{Character, name of the parameter (used in error messages)}

\item{default_value}{Default value when param is NULL, default NULL}

\item{allow_null}{Logical, whether to allow param to be NULL, default FALSE}
}
\value{
Named vector (names are seq_ids), standardized parameter values
}
\description{
Standardizes sequence parameters (e.g., radius, gap) from various input formats (single value/vector/named vector) into a vector named by sequence IDs
}
\keyword{internal}
