% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/helpers_params.R
\name{process_gene_param}
\alias{process_gene_param}
\title{Process gene-related parameters}
\usage{
process_gene_param(param, seqs, param_name, default_value, is_logical = FALSE)
}
\arguments{
\item{param}{Input parameter (can be NULL, single value, vector, list)}

\item{seqs}{Character vector, list of sequence IDs}

\item{param_name}{Character, name of the parameter (used in error messages)}

\item{default_value}{Default value when param is NULL}

\item{is_logical}{Logical, whether the parameter is logical (TRUE/FALSE), default FALSE}
}
\value{
List (named by seq_id), where each element is a vector with "+"/"-" (parameter values for positive/negative strands)
}
\description{
Standardizes gene parameters (e.g., offset, width) from various input formats (single value/vector/list) into a list seperated by sequence and strand
}
\keyword{internal}
